<template>
  <div class="bounty-air-drop-page">
    <div class="bounty-airdrop-header">
      <h2 class="page-header-text">{{ $t('bounty.header') }}</h2>
    </div>
    <bounty-air-drop-tokens class="bounty-air-drop-tokens"></bounty-air-drop-tokens>
    <air-drop-referral-program class="air-drop-referral-program"></air-drop-referral-program>
    <air-drop-registration-subscription v-if="settings" :settings="settings" class="air-drop-registration-subscription"></air-drop-registration-subscription>
    <air-drop-social-media v-if="settings" :settings="settings" class="air-drop-social-media"></air-drop-social-media>
    <air-drop-social-article  v-if="settings" :settings="settings" class="bounty-program"></air-drop-social-article>
    <air-drop-voucher class="air-drop-voucher"></air-drop-voucher>
    <bug-bounty class="air-drop-voucher" v-if="settings" :settings="settings"></bug-bounty>
  </div>
</template>

<script>
import _ from 'lodash';

import rf from '../../../common/requests/RequestFactory';
import BountyAirDropTokens from './BountyAirDropTokens.vue';
import AirDropReferralProgram from './airdrop_referral/AirDropReferralProgram.vue';
import AirDropRegistrationSubscription from './AirDropRegistrationSubscription.vue';
import AirDropSocialMedia from './AirDropSocialMedia.vue';
import AirDropVoucher from './AirDropVoucher.vue';
import AirDropSocialArticle from './AirDropSocialArticle.vue';
import BugBounty from './BugBounty.vue';

export default {
  components: {
    BountyAirDropTokens,
    AirDropReferralProgram,
    AirDropRegistrationSubscription,
    AirDropSocialMedia,
    AirDropVoucher,
    AirDropSocialArticle,
    BugBounty,
  },
  data () {
    return {
      settings: null,
    };
  },
  methods: {
    async getSettings () {
      const settings = await rf.getRequest('BountySettingRequest').getAll();
      this.settings = Object.assign({}, _.keyBy(settings.data, 'key'));
    },
  },
  created () {
    this.getSettings();
  },
};
</script>

<style lang="scss" scoped>
  @import "../../../../sass/mobile/typoVariables.scss";
  .bounty-air-drop-page {
    width: 100%;
  }
  .bounty-airdrop-header {
    padding: 13rem 0;
    background-image: linear-gradient(to bottom, #1D2347, #21345C);
    .page-header-text {
      font-size: 18rem;
      color: #fff;
      padding-left: 12rem;
      font-weight: normal;
    }
  }
  .bounty-air-drop-tokens {
    padding: 21rem 12rem 20rem;
    position: relative;

    &:after {
      content: '';
      display: block;
      position: absolute;
      bottom: 0;
      left: 12rem;
      right: 12rem;
      height: 1rem;
      background-color: #ababab;
    }
  }
  .air-drop-referral-program {
    position: relative;
    padding: 32rem 12rem 0;
  }

  .air-drop-registration-subscription {
    padding: 30rem 12rem 0;
  }

  .bounty-program {
    padding: 30rem 12rem 0;
  }
</style>
<style lang="scss">
  @import "../../../../sass/mobile/typoVariables.scss";
  .title-component {
    font-size: $big;
    color: #fa7300;
    font-weight: 400;
    margin-bottom: 18rem;
  }

  .ctu-total {
    padding: 30rem 0rem;
    .title,
    .number {
      display: inline-block;
      vertical-align: middle;
      color: #222c3c;
      font-size: 0.875rem;
      line-height: 1.125;
      margin-bottom: 0;
    }

    .title {
      font-size: $small;
      font-weight: bold;
      color: $black;
      margin-right: 25rem;
      margin-bottom: 8rem;
      width: auto !important;
    }

    .number {
      font-size: $medium;
      padding: 10rem 22rem;
      background-color: $bg_white;
      border-radius: 30rem;
      border: solid 1rem $orangeBold;
      color: $orangeBold;
      font-weight: bold;
      width: 295rem;
    }
  }
</style>
